Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli
Class UIMessageBundle

`java.lang.Object
java.util.ResourceBundle
java.util.ListResourceBundle
oracle.jbo.common.CheckedListResourceBundle
oracle.jbo.uicli.UIMessageBundle`

public class UIMessageBundle
extends CheckedListResourceBundle

Field Summary
`static java.lang.String` | `EXC_APP_ALREADY_SET_FOR_FORM_BND` JBO-34002: InvalidOperException
`static java.lang.String` | `EXC_DEF_CLASS_NAME_MISSING` JBO-34000: PersistenceException
`static java.lang.String` | `EXC_FINAL_PARAMETER` JBO-35004: InvalidParamException
`static java.lang.String` | `EXC_INVALID_ITER_BINDING_NAME` JBO-34003: JboException
`static java.lang.String` | `EXC_ITER_BINDING_INVALID_CLASS` JBO-34001: InvalidOperException
`static java.lang.String` | `EXC_MANDATORY_PARAMETER` JBO-35004: InvalidParamException
`static java.lang.String` | `EXC_NO_MATCHING_ROW_IN_LOV` JBO-34004: JboException
`static java.lang.String` | `EXC_NULL_COLLECTION` JBO-34006: InvalidOperException
`static java.lang.String` | `EXC_SYNC_ERROR` JBO-34005: JboException
`static java.lang.String` | `STR_APPLICATION`
`static java.lang.String` | `STR_AR_IMPROPER_EDIT`
`static java.lang.String` | `STR_BEFORE_COMMIT`
`static java.lang.String` | `STR_BEFORE_ROLLBACK`
`static java.lang.String` | `STR_CANCEL_BUTTON_TEXT`
`static java.lang.String` | `STR_CANCEL_FIND_MODE`
`static java.lang.String` | `STR_CONTROL_BINDING`
`static java.lang.String` | `STR_DEF_APPLICATION`
`static java.lang.String` | `STR_DEF_CONTROL_BINDING`
`static java.lang.String` | `STR_DEF_FORM_BINDING`
`static java.lang.String` | `STR_DEF_ITER_BINDING`
`static java.lang.String` | `STR_DEF_SESSION`
`static java.lang.String` | `STR_DETAIL_MSG_HEADER`
`static java.lang.String` | `STR_DETAIL_MSG_INDENT`
`static java.lang.String` | `STR_DETAIL_MSG_LEVEL`
`static java.lang.String` | `STR_DETAIL_MSG_SEPARATOR1`
`static java.lang.String` | `STR_DETAIL_MSG_SEPARATOR2`
`static java.lang.String` | `STR_DETAILS_BUTTON_TEXT`
`static java.lang.String` | `STR_DONE_COMMIT`
`static java.lang.String` | `STR_DONE_EXECUTING`
`static java.lang.String` | `STR_DONE_ROLLBACK`
`static java.lang.String` | `STR_ERR_DLG_TITLE`
`static java.lang.String` | `STR_ERROR_COMMIT`
`static java.lang.String` | `STR_EXECUTING_QUERY`
`static java.lang.String` | `STR_FIND_MODE`
`static java.lang.String` | `STR_FORM_BINDING`
`static java.lang.String` | `STR_HELP_BUTTON_TEXT`
`static java.lang.String` | `STR_HIDE_DETAILS_BUTTON_TEXT`
`static java.lang.String` | `STR_HIDE_STACK_TRACE_BUTTON_TEXT`
`static java.lang.String` | `STR_IMAGE_CONTROL_CHANGE`
`static java.lang.String` | `STR_IMAGE_CONTROL_CLEAR`
`static java.lang.String` | `STR_IMAGE_CONTROL_IMAGE_FILE_EXT`
`static java.lang.String` | `STR_INVALID_METHOD_CALL`
`static java.lang.String` | `STR_ITER_BINDING`
`static java.lang.String` | `STR_LOGIN_TITLE`
`static java.lang.String` | `STR_LOV_BUTTON_CANCEL`
`static java.lang.String` | `STR_LOV_BUTTON_HELP`
`static java.lang.String` | `STR_LOV_BUTTON_OK`
`static java.lang.String` | `STR_LOV_NO_HELP`
`static java.lang.String` | `STR_LOV_TITLE_PREFIX`
`static java.lang.String` | `STR_NAV_CANCELFIND`
`static java.lang.String` | `STR_NAV_COMMIT`
`static java.lang.String` | `STR_NAV_DELETE`
`static java.lang.String` | `STR_NAV_EXECUTE`
`static java.lang.String` | `STR_NAV_FIND`
`static java.lang.String` | `STR_NAV_FIRST`
`static java.lang.String` | `STR_NAV_INSERT`
`static java.lang.String` | `STR_NAV_INVALID_BUTTON_INDEX`
`static java.lang.String` | `STR_NAV_LAST`
`static java.lang.String` | `STR_NAV_NEXT`
`static java.lang.String` | `STR_NAV_PREV`
`static java.lang.String` | `STR_NAV_ROLLBACK`
`static java.lang.String` | `STR_NAVIGATING`
`static java.lang.String` | `STR_NO_DATA_ACCESS`
`static java.lang.String` | `STR_NULL_VALUE`
`static java.lang.String` | `STR_OK_BUTTON_TEXT`
`static java.lang.String` | `STR_PASSWORD`
`static java.lang.String` | `STR_ROWSET_EVENTS`
`static java.lang.String` | `STR_SB_CURRENT_ROW_FORMAT`
`static java.lang.String` | `STR_SB_EDITING`
`static java.lang.String` | `STR_SB_EDITING_ATTR`
`static java.lang.String` | `STR_SB_MODIFIED_FALSE_STATE`
`static java.lang.String` | `STR_SB_MODIFIED_LABEL`
`static java.lang.String` | `STR_SB_MODIFIED_TRUE_STATE`
`static java.lang.String` | `STR_SB_ROW_COUNT_FORMAT`
`static java.lang.String` | `STR_SB_UNBOUND`
`static java.lang.String` | `STR_SCROLL_BOTTOM`
`static java.lang.String` | `STR_SCROLL_HERE`
`static java.lang.String` | `STR_SCROLL_NEXT`
`static java.lang.String` | `STR_SCROLL_PREVIOUS`
`static java.lang.String` | `STR_SCROLL_TOP`
`static java.lang.String` | `STR_SESSION`
`static java.lang.String` | `STR_STACK_TRACE_BUTTON_TEXT`
`static java.lang.String` | `STR_TUI_ERROR_JCLIENTPANEL`
`static java.lang.String` | `STR_TUI_MENU_COMMIT`
`static java.lang.String` | `STR_TUI_MENU_DATABASE`
`static java.lang.String` | `STR_TUI_MENU_DELETE`
`static java.lang.String` | `STR_TUI_MENU_EXIT`
`static java.lang.String` | `STR_TUI_MENU_FILE`
`static java.lang.String` | `STR_TUI_MENU_FIRST`
`static java.lang.String` | `STR_TUI_MENU_INSERT`
`static java.lang.String` | `STR_TUI_MENU_LAST`
`static java.lang.String` | `STR_TUI_MENU_NEXT`
`static java.lang.String` | `STR_TUI_MENU_PREVIOUS`
`static java.lang.String` | `STR_TUI_MENU_QUERYEXECUTE`
`static java.lang.String` | `STR_TUI_MENU_QUERYMODE`
`static java.lang.String` | `STR_TUI_MENU_ROLLBACK`
`static java.lang.String` | `STR_TUI_TEST_TITLE`
`static java.lang.String` | `STR_USER_NAME`
`static java.lang.String` | `STR_VALIDATION_EVENTS`
`static java.lang.String` | `STR_WARN_DLG_TITLE`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`UIMessageBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()` Gets the key-value association table.
`static java.lang.String` | `getResString(java.lang.String id)`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STR_DEF_APPLICATION

    public static final java.lang.String STR_DEF_APPLICATION

  See Also:
    Constant Field Values

### STR_DEF_SESSION

    public static final java.lang.String STR_DEF_SESSION

  See Also:
    Constant Field Values

### STR_DEF_FORM_BINDING

    public static final java.lang.String STR_DEF_FORM_BINDING

  See Also:
    Constant Field Values

### STR_DEF_ITER_BINDING

    public static final java.lang.String STR_DEF_ITER_BINDING

  See Also:
    Constant Field Values

### STR_DEF_CONTROL_BINDING

    public static final java.lang.String STR_DEF_CONTROL_BINDING

  See Also:
    Constant Field Values

### STR_VALIDATION_EVENTS

    public static final java.lang.String STR_VALIDATION_EVENTS

  See Also:
    Constant Field Values

### STR_ROWSET_EVENTS

    public static final java.lang.String STR_ROWSET_EVENTS

  See Also:
    Constant Field Values

### STR_NULL_VALUE

    public static final java.lang.String STR_NULL_VALUE

  See Also:
    Constant Field Values

### STR_APPLICATION

    public static final java.lang.String STR_APPLICATION

  See Also:
    Constant Field Values

### STR_SESSION

    public static final java.lang.String STR_SESSION

  See Also:
    Constant Field Values

### STR_FORM_BINDING

    public static final java.lang.String STR_FORM_BINDING

  See Also:
    Constant Field Values

### STR_ITER_BINDING

    public static final java.lang.String STR_ITER_BINDING

  See Also:
    Constant Field Values

### STR_CONTROL_BINDING

    public static final java.lang.String STR_CONTROL_BINDING

  See Also:
    Constant Field Values

### STR_FIND_MODE

    public static final java.lang.String STR_FIND_MODE

  See Also:
    Constant Field Values

### STR_DONE_EXECUTING

    public static final java.lang.String STR_DONE_EXECUTING

  See Also:
    Constant Field Values

### STR_EXECUTING_QUERY

    public static final java.lang.String STR_EXECUTING_QUERY

  See Also:
    Constant Field Values

### STR_NAVIGATING

    public static final java.lang.String STR_NAVIGATING

  See Also:
    Constant Field Values

### STR_BEFORE_COMMIT

    public static final java.lang.String STR_BEFORE_COMMIT

  See Also:
    Constant Field Values

### STR_DONE_COMMIT

    public static final java.lang.String STR_DONE_COMMIT

  See Also:
    Constant Field Values

### STR_ERROR_COMMIT

    public static final java.lang.String STR_ERROR_COMMIT

  See Also:
    Constant Field Values

### STR_BEFORE_ROLLBACK

    public static final java.lang.String STR_BEFORE_ROLLBACK

  See Also:
    Constant Field Values

### STR_DONE_ROLLBACK

    public static final java.lang.String STR_DONE_ROLLBACK

  See Also:
    Constant Field Values

### STR_CANCEL_FIND_MODE

    public static final java.lang.String STR_CANCEL_FIND_MODE

  See Also:
    Constant Field Values

### STR_OK_BUTTON_TEXT

    public static final java.lang.String STR_OK_BUTTON_TEXT

  See Also:
    Constant Field Values

### STR_CANCEL_BUTTON_TEXT

    public static final java.lang.String STR_CANCEL_BUTTON_TEXT

  See Also:
    Constant Field Values

### STR_HELP_BUTTON_TEXT

    public static final java.lang.String STR_HELP_BUTTON_TEXT

  See Also:
    Constant Field Values

### STR_DETAILS_BUTTON_TEXT

    public static final java.lang.String STR_DETAILS_BUTTON_TEXT

  See Also:
    Constant Field Values

### STR_HIDE_DETAILS_BUTTON_TEXT

    public static final java.lang.String STR_HIDE_DETAILS_BUTTON_TEXT

  See Also:
    Constant Field Values

### STR_STACK_TRACE_BUTTON_TEXT

    public static final java.lang.String STR_STACK_TRACE_BUTTON_TEXT

  See Also:
    Constant Field Values

### STR_HIDE_STACK_TRACE_BUTTON_TEXT

    public static final java.lang.String STR_HIDE_STACK_TRACE_BUTTON_TEXT

  See Also:
    Constant Field Values

### STR_ERR_DLG_TITLE

    public static final java.lang.String STR_ERR_DLG_TITLE

  See Also:
    Constant Field Values

### STR_DETAIL_MSG_SEPARATOR1

    public static final java.lang.String STR_DETAIL_MSG_SEPARATOR1

  See Also:
    Constant Field Values

### STR_DETAIL_MSG_SEPARATOR2

    public static final java.lang.String STR_DETAIL_MSG_SEPARATOR2

  See Also:
    Constant Field Values

### STR_DETAIL_MSG_LEVEL

    public static final java.lang.String STR_DETAIL_MSG_LEVEL

  See Also:
    Constant Field Values

### STR_DETAIL_MSG_HEADER

    public static final java.lang.String STR_DETAIL_MSG_HEADER

  See Also:
    Constant Field Values

### STR_DETAIL_MSG_INDENT

    public static final java.lang.String STR_DETAIL_MSG_INDENT

  See Also:
    Constant Field Values

### STR_WARN_DLG_TITLE

    public static final java.lang.String STR_WARN_DLG_TITLE

  See Also:
    Constant Field Values

### STR_LOGIN_TITLE

    public static final java.lang.String STR_LOGIN_TITLE

  See Also:
    Constant Field Values

### STR_USER_NAME

    public static final java.lang.String STR_USER_NAME

  See Also:
    Constant Field Values

### STR_PASSWORD

    public static final java.lang.String STR_PASSWORD

  See Also:
    Constant Field Values

### STR_NO_DATA_ACCESS

    public static final java.lang.String STR_NO_DATA_ACCESS

  See Also:
    Constant Field Values

### STR_NAV_INVALID_BUTTON_INDEX

    public static final java.lang.String STR_NAV_INVALID_BUTTON_INDEX

  See Also:
    Constant Field Values

### STR_NAV_FIRST

    public static final java.lang.String STR_NAV_FIRST

  See Also:
    Constant Field Values

### STR_NAV_PREV

    public static final java.lang.String STR_NAV_PREV

  See Also:
    Constant Field Values

### STR_NAV_NEXT

    public static final java.lang.String STR_NAV_NEXT

  See Also:
    Constant Field Values

### STR_NAV_LAST

    public static final java.lang.String STR_NAV_LAST

  See Also:
    Constant Field Values

### STR_NAV_INSERT

    public static final java.lang.String STR_NAV_INSERT

  See Also:
    Constant Field Values

### STR_NAV_DELETE

    public static final java.lang.String STR_NAV_DELETE

  See Also:
    Constant Field Values

### STR_NAV_COMMIT

    public static final java.lang.String STR_NAV_COMMIT

  See Also:
    Constant Field Values

### STR_NAV_ROLLBACK

    public static final java.lang.String STR_NAV_ROLLBACK

  See Also:
    Constant Field Values

### STR_NAV_FIND

    public static final java.lang.String STR_NAV_FIND

  See Also:
    Constant Field Values

### STR_NAV_CANCELFIND

    public static final java.lang.String STR_NAV_CANCELFIND

  See Also:
    Constant Field Values

### STR_NAV_EXECUTE

    public static final java.lang.String STR_NAV_EXECUTE

  See Also:
    Constant Field Values

### STR_INVALID_METHOD_CALL

    public static final java.lang.String STR_INVALID_METHOD_CALL

  See Also:
    Constant Field Values

### STR_LOV_NO_HELP

    public static final java.lang.String STR_LOV_NO_HELP

  See Also:
    Constant Field Values

### STR_LOV_TITLE_PREFIX

    public static final java.lang.String STR_LOV_TITLE_PREFIX

  See Also:
    Constant Field Values

### STR_LOV_BUTTON_OK

    public static final java.lang.String STR_LOV_BUTTON_OK

  See Also:
    Constant Field Values

### STR_LOV_BUTTON_CANCEL

    public static final java.lang.String STR_LOV_BUTTON_CANCEL

  See Also:
    Constant Field Values

### STR_LOV_BUTTON_HELP

    public static final java.lang.String STR_LOV_BUTTON_HELP

  See Also:
    Constant Field Values

### STR_SB_EDITING

    public static final java.lang.String STR_SB_EDITING

  See Also:
    Constant Field Values

### STR_SB_EDITING_ATTR

    public static final java.lang.String STR_SB_EDITING_ATTR

  See Also:
    Constant Field Values

### STR_SB_MODIFIED_LABEL

    public static final java.lang.String STR_SB_MODIFIED_LABEL

  See Also:
    Constant Field Values

### STR_SB_MODIFIED_FALSE_STATE

    public static final java.lang.String STR_SB_MODIFIED_FALSE_STATE

  See Also:
    Constant Field Values

### STR_SB_MODIFIED_TRUE_STATE

    public static final java.lang.String STR_SB_MODIFIED_TRUE_STATE

  See Also:
    Constant Field Values

### STR_SB_CURRENT_ROW_FORMAT

    public static final java.lang.String STR_SB_CURRENT_ROW_FORMAT

  See Also:
    Constant Field Values

### STR_SB_ROW_COUNT_FORMAT

    public static final java.lang.String STR_SB_ROW_COUNT_FORMAT

  See Also:
    Constant Field Values

### STR_AR_IMPROPER_EDIT

    public static final java.lang.String STR_AR_IMPROPER_EDIT

  See Also:
    Constant Field Values

### STR_SB_UNBOUND

    public static final java.lang.String STR_SB_UNBOUND

  See Also:
    Constant Field Values

### STR_TUI_TEST_TITLE

    public static final java.lang.String STR_TUI_TEST_TITLE

  See Also:
    Constant Field Values

### STR_TUI_MENU_EXIT

    public static final java.lang.String STR_TUI_MENU_EXIT

  See Also:
    Constant Field Values

### STR_TUI_MENU_FILE

    public static final java.lang.String STR_TUI_MENU_FILE

  See Also:
    Constant Field Values

### STR_TUI_MENU_DATABASE

    public static final java.lang.String STR_TUI_MENU_DATABASE

  See Also:
    Constant Field Values

### STR_TUI_MENU_FIRST

    public static final java.lang.String STR_TUI_MENU_FIRST

  See Also:
    Constant Field Values

### STR_TUI_MENU_PREVIOUS

    public static final java.lang.String STR_TUI_MENU_PREVIOUS

  See Also:
    Constant Field Values

### STR_TUI_MENU_LAST

    public static final java.lang.String STR_TUI_MENU_LAST

  See Also:
    Constant Field Values

### STR_TUI_MENU_NEXT

    public static final java.lang.String STR_TUI_MENU_NEXT

  See Also:
    Constant Field Values

### STR_TUI_MENU_INSERT

    public static final java.lang.String STR_TUI_MENU_INSERT

  See Also:
    Constant Field Values

### STR_TUI_MENU_DELETE

    public static final java.lang.String STR_TUI_MENU_DELETE

  See Also:
    Constant Field Values

### STR_TUI_MENU_COMMIT

    public static final java.lang.String STR_TUI_MENU_COMMIT

  See Also:
    Constant Field Values

### STR_TUI_MENU_ROLLBACK

    public static final java.lang.String STR_TUI_MENU_ROLLBACK

  See Also:
    Constant Field Values

### STR_TUI_MENU_QUERYMODE

    public static final java.lang.String STR_TUI_MENU_QUERYMODE

  See Also:
    Constant Field Values

### STR_TUI_MENU_QUERYEXECUTE

    public static final java.lang.String STR_TUI_MENU_QUERYEXECUTE

  See Also:
    Constant Field Values

### STR_TUI_ERROR_JCLIENTPANEL

    public static final java.lang.String STR_TUI_ERROR_JCLIENTPANEL

  See Also:
    Constant Field Values

### STR_IMAGE_CONTROL_IMAGE_FILE_EXT

    public static final java.lang.String STR_IMAGE_CONTROL_IMAGE_FILE_EXT

  See Also:
    Constant Field Values

### STR_IMAGE_CONTROL_CHANGE

    public static final java.lang.String STR_IMAGE_CONTROL_CHANGE

  See Also:
    Constant Field Values

### STR_IMAGE_CONTROL_CLEAR

    public static final java.lang.String STR_IMAGE_CONTROL_CLEAR

  See Also:
    Constant Field Values

### STR_SCROLL_HERE

    public static final java.lang.String STR_SCROLL_HERE

  See Also:
    Constant Field Values

### STR_SCROLL_TOP

    public static final java.lang.String STR_SCROLL_TOP

  See Also:
    Constant Field Values

### STR_SCROLL_PREVIOUS

    public static final java.lang.String STR_SCROLL_PREVIOUS

  See Also:
    Constant Field Values

### STR_SCROLL_NEXT

    public static final java.lang.String STR_SCROLL_NEXT

  See Also:
    Constant Field Values

### STR_SCROLL_BOTTOM

    public static final java.lang.String STR_SCROLL_BOTTOM

  See Also:
    Constant Field Values

### EXC_DEF_CLASS_NAME_MISSING

    public static final java.lang.String EXC_DEF_CLASS_NAME_MISSING

  JBO-34000: PersistenceException

  Cause:: Name of the definition Java class missing in the JClient XML file.

  Action:: Every metaobject in JClient must have name of the definition object's Java class in the XML file. Correct the error by regenerating XML file in the design time.

  See Also:
    Constant Field Values

### EXC_ITER_BINDING_INVALID_CLASS

    public static final java.lang.String EXC_ITER_BINDING_INVALID_CLASS

  JBO-34001: InvalidOperException

  Cause:: The iterator binding is of the wrong Java class. Some controls expect to work with a JUIterRowBinding, while others with JUIterRangeBinding. This error indicates that the supplied iterator binding is not of the expected class.

  Action:: If the error is caused by some client code that supplies an iterator binding, correct the code to supply an iterator binding of the correct class. If the error is caused by framework code, contact BC4J Technical Support with the stack trace.

  See Also:
    Constant Field Values

### EXC_APP_ALREADY_SET_FOR_FORM_BND

    public static final java.lang.String EXC_APP_ALREADY_SET_FOR_FORM_BND

  JBO-34002: InvalidOperException

  Cause:: The form binding has already been registered with an application (JUApplication) object. It is illegal to try to set the form binding's application object again.

  Action:: This error typically means a program error. Contact BC4J Technical Support with the stack trace.

  See Also:
    Constant Field Values

### EXC_INVALID_ITER_BINDING_NAME

    public static final java.lang.String EXC_INVALID_ITER_BINDING_NAME

  JBO-34003: JboException

  Cause:: No iterator binding found with the given name.

  Action:: Fix the iterator binding name before attempting to change the iterator associated with it.

  See Also:
    Constant Field Values

### EXC_NO_MATCHING_ROW_IN_LOV

    public static final java.lang.String EXC_NO_MATCHING_ROW_IN_LOV

  JBO-34004: JboException

  Cause:: No matching row found for a selected value in a List binding.

  Action:: Enter/Select a valid item from the list so that the matching row in the LOV iterator can be found.

  See Also:
    Constant Field Values

### EXC_SYNC_ERROR

    public static final java.lang.String EXC_SYNC_ERROR

  JBO-34005: JboException

  Cause:: Exceptions occured in synchronizing data from the client Application into the Business Components tier.

  Action:: Fix the exceptions displayed in the details list and then reapply the changes.

  See Also:
    Constant Field Values

### EXC_NULL_COLLECTION

    public static final java.lang.String EXC_NULL_COLLECTION

  JBO-34006: InvalidOperException

  Cause:: Collection to which this iterator is bound returns null.

  Action:: Fix the return value so that a valid collection is available for this iterator to bind to.

  See Also:
    Constant Field Values

### EXC_MANDATORY_PARAMETER

    public static final java.lang.String EXC_MANDATORY_PARAMETER

  JBO-35004: InvalidParamException

  Cause:: Mandatory Parameter was not set by the calling code either programmatically or by overriding it in a nested container usecase.

  Action:: Set the mandatory parameter value

  See Also:
    Constant Field Values

### EXC_FINAL_PARAMETER

    public static final java.lang.String EXC_FINAL_PARAMETER

  JBO-35004: InvalidParamException

  Cause:: Mandatory Parameter was not set by the calling code either programmatically or by overriding it in a nested container usecase.

  Action:: Set the mandatory parameter value

  See Also:
    Constant Field Values

Constructor Detail

### UIMessageBundle

    public UIMessageBundle()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Gets the key-value association table.
  Specified by:
    `getContents` in class `CheckedListResourceBundle`
  Returns:
    an array of key-value pairs.

### getResString

    public static final java.lang.String getResString(java.lang.String id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.